### Constructor

# Gsk GLShadernew_from_resource

#### Declaration [src]

    GskGLShader*
    gsk_gl_shader_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Creates a `GskGLShader` that will render pixels using the specified code.

#### Parameters

`resource_path`

  Type: `const char*`

  Path to a resource that contains the GLSL sourcecode for the shader.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GskGLShader`

A new `GskGLShader`

The caller of the function takes ownership of the data, and is responsible for freeing it.